Bug 9724 - is_encrypted_packet() function incorrectly used inside server.
is_encrypted_packet() function incorrectly used inside server.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 9706
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-15 20:57 UTC by Jeremy Allison
Modified: 2013-04-23 19:20 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for master and 4.0.x (1.50 KB, patch)
2013-03-15 22:08 UTC, Jeremy Allison
metze: review+
obnox: review+
asn: review+
jra: review? (ddiss)
Details
git-am fix for 3.6.next. (1.93 KB, patch)
2013-03-15 22:15 UTC, Jeremy Allison
jra: review? (metze)
obnox: review+
asn: review+
jra: review? (ddiss)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-03-15 20:57:20 UTC
The is_encrypted_packet() function should only be used on the raw received data to determine if a packet came in encrypted. Once we're inside the SMB1 processing code in smbd/reply.c we should be looking at the smb1request->encrypted field to determine if a packet was really encrypted or not.

Patches for 3.6.next and 4.0.next to follow.

Jeremy.
Comment 1 Jeremy Allison 2013-03-15 21:30:29 UTC
Fix depends on patchset for #9706.
Comment 2 Jeremy Allison 2013-03-15 22:08:02 UTC
Created attachment 8652 [details]
git-am fix for master and 4.0.x

NB. Depends on the patch for bug #9706 being applied first.

Jeremy.
Comment 3 Jeremy Allison 2013-03-15 22:15:33 UTC
Created attachment 8653 [details]
git-am fix for 3.6.next.

Doesn't depend on any other patches.
Comment 4 Stefan Metzmacher 2013-03-16 10:03:25 UTC
Comment on attachment 8652 [details]
git-am fix for master and 4.0.x

Looks good, pushed to autobuild
Comment 5 Jeremy Allison 2013-03-16 16:37:06 UTC
Metze, please add a + on the patch review field so I can re-assign this to Karolin for inclusion in 4.0.next.

Thanks,

Jeremy.
Comment 6 Andreas Schneider 2013-03-18 10:31:07 UTC
Comment on attachment 8652 [details]
git-am fix for master and 4.0.x

LGTM
Comment 7 Andreas Schneider 2013-03-18 10:31:17 UTC
Comment on attachment 8653 [details]
git-am fix for 3.6.next.

LGTM
Comment 8 Jeremy Allison 2013-03-18 16:11:32 UTC
Re-assigning to Karolin for inclusion in 4.0.next and 3.6.next.
Thanks !

Jeremy.
Comment 9 Stefan Metzmacher 2013-03-19 09:52:36 UTC
Comment on attachment 8652 [details]
git-am fix for master and 4.0.x

Karolin, please add cherry-pick information,
1d15fc75a33b7368049876368f4b70c188bbd55e is the master commit
Comment 10 Karolin Seeger 2013-03-21 08:48:36 UTC
Pushed to v3-6-test and autobuild-v4-0-test.
Comment 11 Karolin Seeger 2013-03-21 10:52:02 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!